<template>
    <div class="user">
        <div class="user-sidebar">
            <ReSidebar
            :side-bar-list="sideList"
            @click="handleSideClick"
            :active-index="activeIndex"
            />
        </div>
      <img v-if="userNo === 1" src="../../assets/images/pageFour/user_bg1.webp" alt="">
      <div class="serach-img" v-if="userNo === 2">
        <img src="../../assets/images/pageFour/user_bg2.webp" alt="">
      </div>
      <img v-if="userNo === 3" src="../../assets/images/pageFour/user_bg3.webp" alt="">
    </div>
  </template>
  
  <script>
  import ReSidebar from "@/components/ReSidebar.vue";
  export default {
    name: "user",
    components: {
        ReSidebar,
    },
    data() {
      return {
        sideList: [
            {
                name: "电子手册",
                icon: "ic_user1",
            },
            {
                name: "搜索",
                icon: "ic_user2",
            },
            {
                name: "设置",
                icon: "ic_user3",
            },
        ],
        activeIndex: 0,
        userNo: 1
      }
    },
    methods: {
        handleSideClick(item, index) {
            this.activeIndex = index;
            if(item.icon === "ic_user1") {
                this.userNo = 1
            }
            if(item.icon === "ic_user2") {
                this.userNo = 2
            }
            if(item.icon === "ic_user3") {
                this.userNo = 3
            }
        },
    }
  };
  </script>
  
  <style scoped lang="scss">
  .user {
    width: 100%;
    height: 100%;
    padding-top: 46px;
    background: #f0f3f7;
    box-sizing: border-box;
    padding-bottom: 86px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .user-sidebar{
        width: 229px;
        height: 600px;
    }
    img {
        pointer-events: none;
        width: calc(100% - 249px);
        height: 100%;
        object-fit: cover;
    }
    .serach-img{
        width: calc(100% - 249px);
        height: 100%;
        text-align: center;
        img{
            margin-top: 70px;
            width: 1571px;
            height: 77px;
        }
    }
  }
  </style>